import ViewObject from "../../../main/ViewObject";

const {ccclass, property} = cc._decorator;
/**
 * 战斗中的弹出对话框
 */
@ccclass
export default class FFDialogBox extends ViewObject {

    @property(cc.Label)
    mTitle: cc.Label = null;

    @property(cc.Label)
    mContent: cc.Label = null;

    @property(cc.Label)
    mBtLabelOK: cc.Label = null;

    @property(cc.Label)
    mBtLabelCancel: cc.Label = null;

    public okCallback:()=>void;
    public cancelCallback:()=>void;

    public onclickOK(){
        if(this.okCallback){
            this.okCallback()
        }
    }
    public onclickCancel(){
        if(this.cancelCallback){
            this.cancelCallback()
        }
    }
    public setOKCallback(callback:()=>void){
        this.okCallback = callback
    }
    public setCancelCallback(callback:()=>void){
        this.cancelCallback = callback
    }
}
